package cn.com.qmth.examcloud.tool.vo.examstudent;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

@Setter
@Getter
public class EwExamStudentVO implements Serializable {

    private static final long serialVersionUID = -4647126917276922968L;

    /**
     * 考务的考生ID
     */
    private Long id;

    /**
     * 考试ID
     */
    private Long examId;

    /**
     * 学生ID
     */
    private Long studentId;

    /**
     * 学号
     */
    private String studentCode;

    /**
     * 学生姓名
     */
    private String studentName;

    /**
     * 身份证号
     */
    private String identityNumber;

    /**
     * 课程ID
     */
    private Long courseId;

    /**
     * 课程Code
     */
    private String courseCode;

    /**
     * 课程名称
     */
    private String courseName;

    /**
     * 课程层次
     */
    private String courseLevel;

    /**
     * 底照
     */
    private String photoPath;

    /**
     * 顶级机构ID
     */
    private Long rootOrgId;

    /**
     * 学习中心ID
     */
    private Long orgId;

    /**
     * 是否可用
     */
    private Boolean enable;


}
